Package ru.bitel.bgbilling.modules.vod.server.bean

# Class VoDServiceActivator

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.vod.server.bean.VoDServiceActivator

public abstract class VoDServiceActivator extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `VoDServiceActivator.ServiceActivationException`
  `static class`
  `VoDServiceActivator.ServiceActivationResult`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoDServiceActivator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VoDServiceActivator.ServiceActivationResult`
  `createService(Subscriber subscriber)`
  `protected abstract VoDServiceActivator.ServiceActivationResult`
  `createServiceImpl(Subscriber subscriber)`
  `VoDServiceActivator.ServiceActivationResult`
  `createSubscriber(Subscriber subscriber)`
  `protected abstract VoDServiceActivator.ServiceActivationResult`
  `createSubscriberImpl(Subscriber subscriber)`
  `abstract void`
  `destroy()`
  `static VoDServiceActivator`
  `newInstance(ParameterMap moduleSetup)`
  `VoDServiceActivator.ServiceActivationResult`
  `removeService(Subscriber subscriber)`
  `protected abstract VoDServiceActivator.ServiceActivationResult`
  `removeServiceImpl(Subscriber subscriber)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoDServiceActivator

    public VoDServiceActivator()

- ## Method Details

  - ### createSubscriber

    public VoDServiceActivator.ServiceActivationResult createSubscriber(Subscriber subscriber)

  - ### createService

    public VoDServiceActivator.ServiceActivationResult createService(Subscriber subscriber)

  - ### removeService

    public VoDServiceActivator.ServiceActivationResult removeService(Subscriber subscriber)

  - ### createSubscriberImpl

    protected abstract VoDServiceActivator.ServiceActivationResult createSubscriberImpl(Subscriber subscriber) throws Exception
    Throws:
      `Exception`

  - ### createServiceImpl

    protected abstract VoDServiceActivator.ServiceActivationResult createServiceImpl(Subscriber subscriber) throws Exception
    Throws:
      `Exception`

  - ### removeServiceImpl

    protected abstract VoDServiceActivator.ServiceActivationResult removeServiceImpl(Subscriber subscriber) throws Exception
    Throws:
      `Exception`

  - ### newInstance

    public static VoDServiceActivator newInstance(ParameterMap moduleSetup) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### destroy

    public abstract void destroy()